<?php
/**
 * Шаблон контентной области первого шага установки diafan.CMS
 *
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(__FILE__)).'/includes/404.php');
}

$disabled = false;
?>
<table class="list">
	<tr>
		<td class="item">Версия PHP >= 5.2</td>
		<td align="left">
			<?php
			if (phpversion() < '5.2')
			{
				echo '<b><font color="red">Необходима версия PHP  выше, обратитесь к администратору сервера</font></b>';
				$disabled = true;
			}
			else
			{
				echo '<b><font color="green">да</font></b>';
			}
			?>
		</td>
	</tr>
	<tr>
		<td>Поддержка MySQL</td>
		<td align="left">
			<?php
			if (! function_exists('mysql_connect') && ! function_exists('mysqli_connect'))
			{
				echo '<b><font color="red">Необходима</font></b>';
				$disabled = true;
			}
			else
			{
				echo '<b><font color="green">да</font></b>';
			}
			?>
		</td>
	</tr>
	<tr>
		<td class="item">Поддержка сокетов</td>
		<td align="left">
			<?php
			$fp = @fsockopen('diafan.ru', 80);
			if (! $fp)
			{
				echo '<b><font color="red">Необходима</font></b>';
				$disabled = true;
			}
			else
			{
				echo '<b><font color="green">да</font></b>';
			}
			?>
		</td>
	</tr>
	<tr>
		<td class="item">/userfiles/</td>
		<td align="left">
			<?php
			if (! Files_inc::is_writable("userfiles"))
			{
				echo '<b><font color="red">установите права 777</font></b>';
				$disabled = true;
			}
			else
			{
				echo '<b><font color="green">да</font></b>';
			}
			?>
		</td>
	</tr>
	<tr>
		<td class="item">/cache/</td>
		<td align="left">
			<?php
			if (! Files_inc::is_writable("cache"))
			{
				echo '<b><font color="red">установите права 777</font></b>';
				$disabled = true;
			}
			else
			{
				echo '<b><font color="green">да</font></b>';
			}
			?>
		</td>
	</tr>
	<tr>
		<td class="item">/tmp/</td>
		<td align="left">
			<?php
			if (! Files_inc::is_writable("tmp"))
			{
				echo '<b><font color="red">установите права 777</font></b>';
				$disabled = true;
			}
			else
			{
				echo '<b><font color="green">да</font></b>';
			}
			?>
		</td>
	</tr>
	<tr>
		<td valign="top" class="item">Файл <strong>installation/install.php</strong></td>
		<td align="left">
			<?php
			if (Files_inc::is_writable('installation/install.php'))
			{
				echo '<b><font color="green">да</font></b>';
			}
			else
			{
				echo '<b><font color="red">установите права 777</font></b>';
				$disabled = true;
			}
			?>
		</td>
	</tr>
	<tr>
		<td valign="top" class="item">Файл <strong>config.php</strong></td>
		<td align="left">
			<?php
			if (Files_inc::is_writable('config.php'))
			{
				echo '<b><font color="green">да</font></b>';
			}
			else
			{
				echo '<b><font color="red">установите права 777</font></b>';
				$disabled = true;
			}
			?>
		</td>
	</tr>
	<tr>
		<td valign="top" class="item">Кэш <strong>index.html</strong></td>
		<td align="left">
			<?php
			if (Files_inc::is_writable('index.html' ))
			{
				echo '<b><font color="green">да</font></b>';
			}
			else
			{
				echo '<b><font color="red">установите права 777</font></b>';
				$disabled = true;
			}
			?>
		</td>
	</tr>
<?php if ($disabled)
{ ?>
	<tr>
		<td valign="top" class="item" colspan=2>
			<br><b>Установка CMS будет успешной после того, как будут выполнены рекомендации.</b>
		</td>
	</tr>
<?php
} ?>
</table>
<br><br>
<input type="button" value="Проверить снова" onclick="window.location=window.location" />
&nbsp; &nbsp;
<input type="submit" value="Далее" <?php if ($disabled == 1){ echo "disabled"; } ?> onclick="window.location='<?php echo BASE_PATH;?>install/step2/';">
<br><br>