<?php
/**
 * Шаблон страница объявления
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

//вывод рейтинга объявления
if (!empty($result["rating"]))
{
	echo $this->diafan->_('Рейтинг').": ";
	echo $result["rating"];
	echo '<br><br>';
}

echo '<table><tr class="ab">

<td class="ab_all_img">';

//вывод изображений объявления
if (!empty($result["img"]))
{
	foreach ($result["img"] as $img)
	{
		switch ($img["type"])
		{
			case 'animation':
				echo '<a href="' . BASE_PATH . $img["link"] . '" rel="prettyPhoto[gallery' . $result["id"] . 'as]">';
				break;
			case 'large_image':
				echo '<a href="' . BASE_PATH . $img["link"] . '" rel="large_image" width="' . $img["link_width"] . '" height="' . $img["link_height"] . '">';
				break;
			default:
				echo '<a href="' . BASE_PATH_HREF . $img["link"] . '">';
				break;
		}
		echo '<img src="' . $img["src"] . '" width="' . $img["width"] . '" height="' . $img["height"] . '" alt="' . $img["alt"] . '" title="' . $img["title"] . '">'
		. '</a> ';
	}
}

echo '</td><td>';

//дата
if (! empty($result["date"]))
{
	echo '<div class="ab_date">'.$result["date"].'</div>';
}

// автор
if (! empty($result["author"]))
{
	echo '<div class="ab_author">'.$this->diafan->_('Автор').': ';
	if(is_array($result["author"]))
	{
	    $name = $result["author"]["fio"].($result["author"]["name"] ? ' ('.$result["author"]["name"].')' : '');
	    if (! empty($result["author"]["avatar"]))
	    {
		    echo '<img src="'.$result["author"]["avatar"].'" width="'.$result["author"]["avatar_width"].'" height="'.$result["author"]["avatar_height"].'" alt="'.$result["author"]["fio"].' ('.$result["author"]["name"].')" class="avatar"> ';
	    }
	    if(! empty($result["author"]["user_page"]))
	    {
		    $name = '<a href="'.$result["author"]["user_page"].'">'.$name.'</a>';
	    }
	}
	else
	{
	    $name = $result["author"];
	}
	echo $name.'</div>';
}

echo '</td><td>';

//параметры объявления
if (!empty($result["param"]))
{
	$this->get('param', 'ab', array("rows" => $result["param"], "id" => $result["id"]));
}

echo '</td><td>';

//полное описание объявления
echo '<div class="ab_text">';
$this->htmleditor($result['text'], true);
echo '</div>';

echo '</td><td class="ab_actions">';

//ссылка на редактирование
if ($result["edit_access"])
{
	echo '<a href="'.BASE_PATH_HREF.$result["edit_link"].'"><img src="'.BASE_PATH.'modules/ab/img/edit.gif" width="12" height="14" title="'.$this->diafan->_('Редактировать', false).'" alt="'.$this->diafan->_('Редактировать', false).'"></a>';
}

//ссылка на блокирование/разблокирование
if ($result["block_access"])
{
	echo ' <a href="'.BASE_PATH_HREF.$result["block_link"].'"><img src="'.BASE_PATH.'modules/ab/img/'.(empty($result["unblock"]) ? 'un' : '').'block.gif" width="12" height="18"'
	.' title="'.$this->diafan->_((! empty($result["unblock"]) ? 'Разблокировать' : 'Блокировать'), false).'" alt="'.$this->diafan->_((! empty($result["unblock"]) ? 'Разблокировать' : 'Блокировать'), false).'"></a>';
}

//ссылка на удаление
if ($result["delete_access"])
{
	echo ' <a href="'.BASE_PATH_HREF.$result["delete_link"].'"><img src="'.BASE_PATH.'modules/ab/img/delete.gif" width="15" height="15"'
	.' title="'.$this->diafan->_('Удалить', false).'" alt="'.$this->diafan->_('Удалить', false).'"></a>';
}
echo '</td></tr></table>';

//счетчик просмотров
if(! empty($result["counter"]))
{
	echo '<div class="ab_counter">'.$this->diafan->_('Просмотров').': '.$result["counter"].'</div>';
}

//теги объявления
if (!empty($result["tags"]))
{
	echo $result["tags"];
}

//комментарии
if (!empty($result["comments"]))
{
	echo $result["comments"];
}

//ссылки на предыдущее и последующее объявление
if (!empty($result["previous"]) || !empty($result["next"]))
{
	echo '<div class="previous_next_links">';
	if (!empty($result["previous"]))
	{
		echo '<div class="previous_link"><a href="' . BASE_PATH_HREF . $result["previous"]["link"] . '">&larr; ' . $result["previous"]["text"] . '</a></div>';
	}
	if (!empty($result["next"]))
	{
		echo '<div class="next_link"><a href="' . BASE_PATH_HREF . $result["next"]["link"] . '">' . $result["next"]["text"] . ' &rarr;</a></div>';
	}
	echo '</div>';
}

//форма добавления объявления
if (! empty($result["form"]))
{
	$this->get('form', 'ab', $result["form"]);
}
echo '<script type="text/javascript" src="'.BASE_PATH.'modules/ab/js/ab.js"></script>';