/**
 * JS-сценарий модуля
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */
$(document).ready(function() {
	$(document).on('click', '.delete_attachment', function(){
		var del_id = $(this).attr("del_id");
		if (! confirm($(this).attr("title")))
			return false;

		$.ajax({
			type : 'POST',
			dataType : 'json',
			data : { module : 'forum', ajax : true, action: 'delete_attachment', del_id: del_id , check_hash_user : $('input[name=check_hash_user]').val()},
			success : (function(response)
			{
				$(response.target).hide();
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
				}
			})
		});
		return false;
	});

	$(document).on('click', '.forum_message_show_form', function(){
		$(this).next('div').toggle();
	});

	$(document).on('mouseover', ".forum_message, .forum_category", function() {
		$(this).find(".forum_actions span").show();
	});

	$(document).on('mouseout', ".forum_message, .forum_category", function() {
		$(this).find(".forum_actions span").hide();
	});
	
	$(document).on('click', '.forum_actions a', function(){
		if (! $(this).attr("action"))
		{
			return true;
		}
		if ($(this).attr("title"))
		{
			if (! confirm($(this).attr("title")))
			{
				return false;
			}
		}
		$(this).parents('form').find('input[name=action]').val($(this).attr("action"));
		$(this).parents('form').submit();
	});
});