<?php
/**
 * Шаблон блока сообщений форума
 * 
 * Шаблонный тег <insert name="show_block_messages" module="forum" [count="количество"]
 * [cat_id="категории"] [template="шаблон"]>:
 * блок последних сообщений 
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

if(! $result["rows"])
	return;

echo '
<div class="block_header">'.$this->diafan->_('Последние сообщения на форуме').'</div>
<div class="forum_block_messages">';
foreach ($result["rows"] as $row)
{
	echo '<div class="forum_message">';
	echo '<span class="forum_author">'.$this->get('author', 'forum_message', $row["author"]).'</span>, <span class="forum_date">'.$row['created'];
	if(! empty($row["date_update"]))
	{
		echo ', '.$this->diafan->_('редакция').($row["user_update"] ? ': '.$this->get('author', 'forum', $row["user_update"]).',' : '').' '.$row["date_update"];
	}
	echo '</span>';
	echo '<div class="forum_text">'.$row['text'].'</div>';
	echo '<div class="forum_link"><a href="'.BASE_PATH_HREF.$row["link"].'">'.BASE_PATH_HREF.$row["link"].'</a></div>';
	echo '</div>';
}
echo '</div><br><br>';
