/**
 * Редактирование фотографий, JS-сценарий
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */
var images_count = 0;
$(document).ready(function() {
	$('.upload_files').click(function(){
		$('#upload_area_multi').show();
		return false;
	});
    $('#fileupload').fileupload({
        dataType: 'json',
		submit: function(e, data) {
			images_count = images_count+1;
			data.formData = {
				save_upload : "1",
				check_hash_user: $('.check_hash_user').text()
			};
			$.each(data.files, function (k,v){
				$('#fileupload').after('<div class="images_status" name="'+v.name+'">'+v.name+'</div>');
			});
		},
        done: function (e, data) {
			images_count = images_count-1;
			var response = data.result;
			if(response.success)
			{
				$(".images_status[name='"+response.file+"']").append('<span style="color:green"> ok</span>').removeClass('images_status');
			}
			else
			{
				$.each(data.files, function (k,v){
					$(".images_status[name='"+v.name+"']").append('<span style="color:green"> bad</span>').removeClass('images_status');
				});
			}
			if(images_count < 1)
			{
				if(response.redirect)
				{
					window.location.href = response.redirect;
				}
			}
        }
    });
});