<?php
/**
 * Настройки для поисковой индексации для модуля «Поиск»
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Photo_search_config
 */
class Photo_search_config
{
	public $config = array(
		'photo' => array(
			'fields' => array('name', 'anons', 'text'),
			'name_field' => 'name',
			'snippet_fields' => array('anons', 'text'),
			'snippet_length' => 100,
			'rating' => 1
		),
		'photo_category' => array(
			'fields' => array('name', 'anons', 'text'),
			'name_field' => 'name',
			'snippet_fields' => array('anons', 'text'),
			'snippet_length' => 100,
			'rating' => 1
		)
	);
}