<?php
/**
 * Шаблон результатов поиска по сайту
 *
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

$this->htmleditor('<insert name="show_search" module="search" button="Найти">');

if (! empty($result["value"]))
{
	echo '<div class="search_result">'.$this->diafan->_('Всего найдено').": <b>".$result["value"].": ".$result["count"]."</b>
	<br>".$this->diafan->_('Документы: <strong>%d—%d</strong> из %d найденных', true, $result["count_start"], $result["count_finish"], $result["count"])
	. '</div>';

	if (!empty($result["rows"]))
	{
		$i = $result["count_start"];
		foreach ($result["rows"] as $row)
		{
			echo '<div class="search_list">'.$i++.'. '
			.'<a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a>'
			.'<br>'
			.$row["snippet"]
			.'<br>'
			.'<a href="'.BASE_PATH_HREF.$row["link"].'">http://'.BASE_URL.'/'.$row["link"].'</a>'
			.'</div>';
		}
	}
	echo (!empty($result["paginator"]) ? $result["paginator"] : '');
}
else
{
	echo '<div class="search_result">'.$this->diafan->_('Извините, слово для поиска не задано.').'</div>';
}