<?php
/**
 * Шаблон списка элементов, к которым прикреплен тег
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

if (empty($result["rows"]))
	return false;

if (! empty($result["img"]))
{
	echo '<div class="news_all_img">';
	foreach ($result["img"] as $img)
	{
		switch($img["type"])
		{
			case 'animation':
				echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallerytags]">';
				break;
			case 'large_image':
				echo '<a href="'.BASE_PATH.$img["link"].'" rel="large_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
				break;
			default:
				echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
				break;
		}
		echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
		.'</a>';
	}
	echo '</div>';
}

foreach ($result["rows"] as $row)
{
	if (! empty($row["class"]))
	{
		$this->get($row["func"], $row["class"], $row["result"]);
	}
	else
	{
		echo '
		<div class="tags_list">
			<div class="tag_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a></div>
			<div class="tag_text">'.$row["snippet"].'</div>
		</div>';
	}
}
echo (! empty($result["paginator"]) ? $result["paginator"] : '');