<?php
/**
 * Количество удаленных в корзину элементов
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Trash_admin_count
 */
class Trash_admin_count extends Diafan
{
	/**
	 * Возвращает количество удаленных в корзину элементов
	 * @return integer
	 */
	public function count()
	{
		$count = DB::query_result("SELECT COUNT(*) FROM {trash} WHERE parent_id=0");
		return $count;
	}
}