<?php
/**
 * Экспорт БД
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

if(defined('IS_DEMO') && IS_DEMO)
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Update_export
 */

if(! $this->diafan->_user->roles("init", "update/importexport", array(), 'admin'))
{
	include ABSOLUTE_PATH.'includes/404.php';
}

$contant = array();
$i = 0;
$text = "-- diafan.CMS part".$i."\n-- Datetime: ".date('Y-m-d H:i:s')."\n-- Site: ".BASE_PATH."\n\n";

$max = 838860;

$url = parse_url(DB_URL);
$dbname = substr($url['path'], 1);
$result = DB::query("SHOW TABLES FROM ".$dbname);
while($row = DB::fetch_array($result))
{
	if (preg_match('/^'.DB_PREFIX.'/', $row["Tables_in_".$dbname]))
	{
		// структура
		$result_s = DB::query("SHOW CREATE TABLE `".$row["Tables_in_".$dbname]."`");
		$row_s = DB::fetch_array($result_s);
		DB::free_result($result_s);
		$text .= "DROP TABLE IF EXISTS `".$row["Tables_in_".$dbname]."`;\n".$row_s["Create Table"].";\n\n";
		check_size($text, $contant, $i);

		// данные
		$exsql = '';
		$result_d = DB::query("SELECT * FROM `".$row["Tables_in_".$dbname]."`");
		while($row_d = DB::fetch_array($result_d))
		{
			$values = '';
			foreach($row_d as $v)
			{
				$values .= $values ? ',' : '';
				if (is_null($v))
				{
					$values .= "NULL";
				}
				else
				{
					$values .= "'".DB::escape_string($v)."'";
				}
			}
			$exsql .= ($exsql ? ',' : '')."(".$values.")";
			if (strlen($exsql) > $max)
			{
				$text .= "INSERT INTO `".$row["Tables_in_".$dbname]."` VALUES ".$exsql.";\n";
				check_size($text, $contant, $i);
				$exsql = '';
			}
		}
		DB::free_result($result_d);
		if ($exsql)
		{
			$text .= "INSERT INTO `".$row["Tables_in_".$dbname]."` VALUES ".$exsql.";\n";
			check_size($text, $contant, $i);
		}
	}
}
DB::free_result($result);

$text .= "\n-- diafan.CMS dump end\n";
$contant[] = $text;

$is_zip = false;
if(class_exists('ZipArchive'))
{
	$name = ABSOLUTE_PATH.'tmp/'.md5(mt_rand(0, 9999)).'.zip';
	$zip = new ZipArchive;
	if ($zip->open($name, ZipArchive::CREATE) === true)
	{
		foreach($contant as $i => $text)
		{
			$zip->addFromString(DB_PREFIX."db".$i.".sql", $text);
		}
		$zip->close();
		$text = file_get_contents($name);
		unlink($name);
		$is_zip = true;
	}
}

header('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
header('Cache-Control: max-age=86400');
if($is_zip)
{
	header("Content-type: application/zip");
	header("Content-Disposition: attachment; filename=".DB_PREFIX."db.sql.zip");
}
else
{
	header("Content-type: text/plain");
	header("Content-Disposition: attachment; filename=".DB_PREFIX."db.sql");
}
header('Content-transfer-encoding: binary');
header("Connection: close");

if($is_zip)
{
	echo $text;
}
else
{
	echo implode("\n", $contant);
}

function check_size(&$text, &$contant, &$i)
{
	if(strlen($text) > 524288) // 1МБ
	{
		$i++;
		$contant[] = $text;
		$text = "-- diafan.CMS part".$i."\n-- Datetime: ".date('Y-m-d H:i:s')."\n-- Site: ".BASE_PATH."\n\n";
	}
}
exit;