<?php
/**
 * Контроллер модуля «Настройки аккаунта»
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Usersettings
 */
class Usersettings extends Controller
{
	/**
	 * Инициализация модуля
	 * 
	 * @return void
	 */
	public function init()
	{
		if(! $this->diafan->_user->id)
		{
			include_once(ABSOLUTE_PATH.'includes/403.php');
		}
		$this->result = $this->model->form();
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return void
	 */
	function show_module()
	{
		$this->diafan->_tpl->get('form', 'usersettings', $this->result);
	}	
}