<?php
/**
 * Шаблон установщика
 *
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(__FILE__)).'/includes/404.php');
}

function show_menu_install()
{
	global $rewrite,$step_array;
	$kk = 0;
	foreach ($step_array as $k => $v)
	{
		if($k == $rewrite)
		{
			echo '<tr><td colspan="3" class="menu_act_before"></td></tr><tr class="menu_act">
	<td class="menu_1"></td>
	<td class="menu_2">'.$v.'</td>
	<td class="menu_3"></td>
	</tr><tr><td colspan="3" class="menu_act_after"></td></tr>';
		}
		else
		{
			echo '<tr>
	<td class="menu_1"></td>
	<td class="menu_2">'.(! $kk ? '<a href="'.BASE_PATH.'install/'.($k != "index" ? $k.'/' : '').'">' : '')
				.$v
				.(! $kk ? '</a>' : '').'</td>
	<td class="menu_3"></td>
	</tr>';
		}
		if ($k == $rewrite)
		{
			$kk = 1;
		}
	}
}

function show_body_install()
{
	global $rewrite, $step_array, $inst;
	echo '<h2>'.@$step_array[$rewrite].'</h2>';

	switch($rewrite)
	{
////////////////////////////index
		case 'index':
			$disabled = false;
			?>
	<table class="list">
		<tr>
			<td class="item">Версия PHP >= 5.0</td>
			<td align="left">
				<?php
				if (phpversion() < '5.0')
				{
					echo '<b><font color="red">Необходима версия PHP  выше, обратитесь к администратору сервера</font></b>';
					$disabled = true;
				}
				else
				{
					echo '<b><font color="green">да</font></b>';
				}
				?>
			</td>
		</tr>
		<tr>
			<td>Поддержка MySQL</td>
			<td align="left">
				<?php
				if (! function_exists('mysql_connect'))
				{
					echo '<b><font color="red">Необходима</font></b>';
					$disabled = true;
				}
				else
				{
					echo '<b><font color="green">да</font></b>';
				}
				?>
			</td>
		</tr>
		<tr>
			<td class="item">Поддержка сокетов</td>
			<td align="left">
				<?php
				$fp = @fsockopen('diafan.ru', 80);
				if (! $fp)
				{
					echo '<b><font color="red">Необходима</font></b>';
					$disabled = true;
				}
				else
				{
					echo '<b><font color="green">да</font></b>';
				}
				?>
			</td>
		</tr>
		<tr>
			<td class="item">/userfiles/</td>
			<td align="left">
				<?php
				if (! Files_inc::is_writable("userfiles"))
				{
					echo '<b><font color="red">установите права 777</font></b>';
					$disabled = true;
				}
				else
				{
					echo '<b><font color="green">да</font></b>';
				}
				?>
			</td>
		</tr>
		<tr>
			<td class="item">/cache/</td>
			<td align="left">
				<?php
				if (! Files_inc::is_writable("cache"))
				{
					echo '<b><font color="red">установите права 777</font></b>';
					$disabled = true;
				}
				else
				{
					echo '<b><font color="green">да</font></b>';
				}
				?>
			</td>
		</tr>
		<tr>
			<td class="item">/tmp/</td>
			<td align="left">
				<?php
				if (! Files_inc::is_writable("tmp"))
				{
					echo '<b><font color="red">установите права 777</font></b>';
					$disabled = true;
				}
				else
				{
					echo '<b><font color="green">да</font></b>';
				}
				?>
			</td>
		</tr>
		<tr>
			<td class="item">/installation/</td>
			<td align="left">
				<?php 
				if (! Files_inc::is_writable("installation"))
				{
					echo '<b><font color="red">установите права 777</font></b>';
					$disabled = true;
				}
				else
				{
					echo '<b><font color="green">да</font></b>';
				}
				?>
			</td>
		</tr>
		<tr>
			<td valign="top" class="item">Файл <strong>config.php</strong></td>
			<td align="left">
				<?php
				if (Files_inc::is_writable('config.php'))
				{
					echo '<b><font color="green">да</font></b>';
				}
				else
				{
					echo '<b><font color="red">установите права 777</font></b>';
					$disabled = true;
				}
				?>
			</td>
		</tr>
		<tr>
			<td valign="top" class="item">Кэш <strong>index.html</strong></td>
			<td align="left">
				<?php
				if (Files_inc::is_writable('index.html' ))
				{
					echo '<b><font color="green">да</font></b>';
				}
				else
				{
					echo '<b><font color="red">установите права 777</font></b>';
					$disabled = true;
				}
				?>
			</td>
		</tr>
<?php if ($disabled)
{ ?>
		<tr>
			<td valign="top" class="item" colspan=2>
				<br><b>Установка CMS будет успешной после того, как будут выполнены рекомендации.</b>
			</td>
		</tr>
<?php
} ?>
	</table>
	<br><br>
	<input type="button" value="Проверить снова" onclick="window.location=window.location" />
	&nbsp; &nbsp;
	<input type="submit" value="Далее" <?php if ($disabled == 1){ echo "disabled"; } ?> onclick="window.location='<?php echo BASE_PATH;?>install/step1/';">
	<br><br>
		<?php
			break;
////////////////////////////step1
		case 'step1':
		?>
			<iframe src="http://cms.diafan.ru/license.html" frameborder="0" scrolling="auto" width="100%" height="400px"></iframe>
			<form action="<?php echo BASE_PATH;?>install/step2/" method="POST">
				<input type="hidden" name="form" value="1">
				<br><br><br>
				<input type="button" value="Назад" onclick="window.location='<?php echo BASE_PATH;?>install/';">
				&nbsp; &nbsp; <input type="submit" value="Принимаю" />
			</form>
			<br><br>
		<?php
			break;
////////////////////////////step2
		case 'step2':
		?>
			<form action="<?php echo BASE_PATH;?>install/step3/" method="post">
				<input type="hidden" name="form" value="1">
				<table class="table_edit">
					<tr>
						<td class="td_first"><b>Свойство</b></td>
						<td><b>Значение</b></td>
					</tr>
					<tr>
						<td class="td_first">Название сайта</td>
						<td><input type="text" name="tit_update" size="40" value="<?php echo (! empty($_SESSION["tit_update"]) ? $_SESSION["tit_update"] : '');?>"></td>
					</tr>
					<tr>
						<td class="td_first"><b>База данных MySQL</b></td>
						<td>(кодировка базы должна быть UTF-8)</td>
					</tr>
					<tr>
						<td class="td_first">Host</td>
						<td><input type="text" name="diafan_host_update" size="40" value="<?php echo (! empty($_SESSION["diafan_host_update"]) ? $_SESSION["diafan_host_update"] : 'localhost');?>"></td>
					</tr>
					<tr>
						<td class="td_first">База данных</td>
						<td><input type="text" name="diafan_dbname_update" size="40" value="<?php echo (! empty($_SESSION["diafan_dbname_update"]) ? $_SESSION["diafan_dbname_update"] : '');?>"></td>
					</tr>
					<tr>
						<td class="td_first">Пользователь</td>
						<td><input type="text" name="diafan_user_update" size="40" value="<?php echo (! empty($_SESSION["diafan_user_update"]) ? $_SESSION["diafan_user_update"] : '');?>"></td>
					</tr>
					<tr>
						<td class="td_first">Пароль</td>
						<td><input type="text" name="diafan_pass_update" size="40" value="<?php echo (! empty($_SESSION["diafan_pass_update"]) ? $_SESSION["diafan_pass_update"] : '');?>"></td>
					</tr>
					<tr>
						<td class="td_first">Префикс таблиц</td>
						<td><input type="text" name="diafan_prefix_update" size="40" value="<?php echo (! empty($_SESSION["diafan_prefix_update"]) ? $_SESSION["diafan_prefix_update"] : 'diafan_');?>"></td>
					</tr>
					<tr>
						<td></td>
						<td><input type="button" value="Назад" onclick="window.location='<?php echo BASE_PATH;?>install/step1/';" /> &nbsp; &nbsp; <input type="submit" value="Далее" /></td>
					</tr>
				</table>
			</form>
			<br><br>
		<?php
			break;
////////////////////////////step3
		case 'step3':
		?>
			<form action="<?php echo BASE_PATH;?>install/step4/" method="post">
				<input type="hidden" name="form" value="1">
				<table class="table_edit">
					<tr>
						<td class="td_first"><b>Свойство</b></td>
						<td><b>Значение</b></td>
					</tr>
					<tr>
						<td class="td_first">ФИО</td>
						<td><input type="text" name="adminfio" size="40" value="<?php echo (! empty($_SESSION["adminfio"]) ? $_SESSION["adminfio"] : '');?>"></td>
					</tr>
					<tr>
						<td class="td_first">Логин</td>
						<td><input type="text" name="adminname" size="40" value="<?php echo (! empty($_SESSION["adminname"]) ? $_SESSION["adminname"] : '');?>"></td>
					</tr>
					<tr>
						<td class="td_first">Пароль</td>
						<td><input type="text" name="adminpass" size="40" value=""></td>
					</tr>
					<tr>
						<td class="td_first">E-mail адрес</td>
						<td><input type="text" name="adminemail" size="40" value="<?php echo (! empty($_SESSION["adminemail"]) ? $_SESSION["adminemail"] : '');?>"></td>
					</tr>
					<tr>
						<td class="td_first">Папка административной части</td>
						<td><input type="text" name="admin_folder" size="40" value="<?php echo (! empty($_SESSION["admin_folder"]) ? $_SESSION["admin_folder"] : 'admin');?>" maxlength="20"></td>
					</tr>
					<tr>
						<td class="td_first">Папка для хранения пользовательских файлов</td>
						<td><input type="text" name="userfiles" size="40" value="<?php echo (! empty($_SESSION["userfiles"]) ? $_SESSION["userfiles"] : 'userfiles');?>"></td>
					</tr>
					<tr>
						<td></td>
						<td><input type="button" value="Назад" onclick="window.location='<?php echo BASE_PATH;?>install/step2/';" /> &nbsp; &nbsp; <input type="submit" value="Далее" /></td>
					</tr>
				</table>
			</form>
			<br><br>
		<?php
			break;
////////////////////////////step4
		case 'step4':
		?>
			<form action="<?php echo BASE_PATH;?>install/step5/" method="post">
				<input type="hidden" name="form" value="1">
				<br>Какие дополнительные модули установить?<br>
				<?php
				include_once(ABSOLUTE_PATH.'includes/install.php');
				global $module_rows;
				if ($module_rows)
				{
					foreach ($module_rows as $module)
					{
					    if ($module == "core")
						continue;

						if (file_exists(ABSOLUTE_PATH.'modules/'.$module.'/'.$module.'.install.php'))
						{
							include_once(ABSOLUTE_PATH.'modules/'.$module.'/'.$module.'.install.php');
							echo '<p><input type="checkbox" name="'.$module.'" value="1" checked> <b>'.$title.'</b></p>';
						}
					}
				}
				?>
				<br><br>
				<input type="checkbox" name="example_yes" value="1"> Заполнить сайт примерами из демо-версии «Бумажный зоопарк» (займет несколько минут)
				<br><br>
				<input type="checkbox" name="lang_yes" value="1"> Создать две языковые версии сайта (Русский/English)
				<br><br>
				<input type="button" value="Назад" onclick="window.location='<?php echo BASE_PATH;?>install/step3/';" /> &nbsp; &nbsp;
				<input type="submit" value="Далее" /><br><br>
			</form>
		<?php
			break;
////////////////////////////step5
		case 'step5':
			global $name_admin, $pass_admin;
			echo '<br><br>Поздравляем!
			<br><br><br>
			<b>diafan.CMS</b> успешно установлена!
			<br><br><br>
			Перейти <a href="'.BASE_PATH.'?'.rand(0, 999).'">на сайт</a>, <a href="'.BASE_PATH.ADMIN_FOLDER.'/">в панель управления</a> (логин:пароль - '.$name_admin.':'.$pass_admin.').
			<br><br>';

			echo str_replace(array('в', 'о', 'ц', 'л', 'й', 'д', 'ж', 'ч', 'ы', 'р', 'ь', 'б', 'я', 'к'), array('i', 'a', 's', ' ', '=', '"', 't', ':', '/', '.', 'u', 'p', '>', '<'),
			'квfrоmeлцrcйдhжжpчыыьserрdвоfоnрrьыvоlidыlogрбhбдлцtyleйдdisбlоyчnoneдякывfrоmeя');

			Files_inc::delete_file("installation/install.php");
			Files_inc::delete_file("installation/install.view.php");
			if (file_exists(ABSOLUTE_PATH."installation/install.php"))
			{
				echo '<br><br><font color="red">Внимание! Файл installation/install.php не был удален. Удалите его прежде, чем продолжить.</font>';
			}
			if(file_exists(ABSOLUTE_PATH.'cache/otherfile.php'))
			{
				unlink(ABSOLUTE_PATH.'cache/otherfile.php');
			}

			break;
	}
}

function diafan_err($step, $alert)
{
        echo '<script>alert("'.$alert.'"); document.location.href="'.BASE_PATH.'install/'.$step.'/";</script>';        
        exit;
}

function show_theme()
{
	global $name;
	include_once(ABSOLUTE_PATH.'installation/install.view.php');
}