$(document).ready(function(){
	show_param($("#type select"));
	$("#type select").change(function(){
		show_param($(this));
	});
	$('input[name=param_textarea_check]').click(function(){
		if($(this).is(':checked'))
		{
			$('.param_textarea').show();
			$('.param_table').hide();
		}
		else
		{
			$('.param_textarea').hide();
			$('.param_table').show();
		}
	});
	$(".param_actions a[action=up_param]").first().hide();
	$(".param_actions a[action=down_param]").last().hide();
	$(document).on('mouseover', ".param", function(){
		$(this).addClass("hover");
		$(this).find(".param_actions").show();
	});
	$(document).on('mouseout', ".param", function(){
		$(this).removeClass("hover");
		$(this).find(".param_actions").hide();
	});

	$(document).on('click', ".param_actions a[action=delete_param]", function(){
		if ( $(this).attr("confirm") && ! confirm( $(this).attr("confirm")))
		{
			return false;
		}
		if($(this).parents(".param").find("a[action=down_param]").css('display') == 'none')
		{
			$(this).parents(".param").prev(".param").find("a[action=down_param]").hide();
		}
		if($(this).parents(".param").find("a[action=up_param]").css('display') == 'none')
		{
			$(this).parents(".param").next(".param").find("a[action=up_param]").hide();
		}
		$(this).parents(".param").remove();
		return false;
	});

	$(document).on('click', ".param_actions a[action=up_param]", function() {
		var self = $(this).parents(".param");
		self.prev(".param").before(self.clone(true));
		self.remove();

		$(".param_actions a[action=up_param]").show();
		$(".param_actions a[action=down_param]").show();
		$(".param_actions a[action=up_param]").first().hide();
		$(".param_actions a[action=down_param]").last().hide();
		return false;
	});
	$(document).on('click', ".param_actions a[action=down_param]", function() {
		var self = $(this).parents(".param");
		self.next(".param").after(self.clone(true));
		self.remove();

		$(".param_actions a[action=up_param]").show();
		$(".param_actions a[action=down_param]").show();
		$(".param_actions a[action=up_param]").first().hide();
		$(".param_actions a[action=down_param]").last().hide();
		return false;
	});
	$('.param_plus').click(function() {
		$('.param:last').clone(true).appendTo('#param table');
		$('.param:last input').val('');

		$(".param_actions a[action=up_param]").show();
		$(".param_actions a[action=down_param]").show();
		$(".param_actions a[action=up_param]").first().hide();
		$(".param_actions a[action=down_param]").last().hide();
		return false;
	});
	$('.param_sort_name').click(function(){
		var sr = '';
		$('.param_table table').after('<table class="new_param_table"></table>');
		$(".param").each(function(){
			var name = $(this).find("input[name='paramv[]']").val();
			var clone = $(this).clone(true);
			if(! name)
			{
				$('.param_table table.new_param_table').append(clone);
				return true;
			}
			var is_insert = false;
			$('.param_table table.new_param_table .param').each(function(){
				if(is_insert)
				{
					return;
				}
				var name2 = $(this).find("input[name='paramv[]']").val();
				if(! name2 || name2 > name)
				{
					$(this).before(clone);
					is_insert = true;
				}
			});
			if(! is_insert)
			{
				$('.param_table table.new_param_table').append(clone);
			}
		});
		$('.param_table table').first().remove();
		$('.param_table table.new_param_table').removeClass('new_param_table');
		return false;
	});

});
function show_param(obj)
{
	if (obj.val() == "select" || obj.val() == "multiple")
	{
		$("#param").show();
	}
	else
	{
		$("#param").hide();
	}
	if (obj.val() == "title")
	{
		$("#required").hide();
	}
	else
	{
		$("#required").show();
	}
	if (obj.val() == "checkbox")
	{
		$("#param_check").show();
	}
	else
	{
		$("#param_check").hide();
	}
	if(obj.val() == "attachments")
	{
		$('#attachments, #max_count_attachments, #attachment_extensions, #recognize_image, #attachments_access_admin, #upload_max_filesize').show();
		if($('#recognize_image input[type=checkbox]').is(':checked'))
		{
			$('#attach_big, #attach_medium, #attach_use_animation').show();
		}
	}
	else
	{
		$('#attachments, #max_count_attachments, #attachment_extensions, #recognize_image, #attach_big, #attach_medium, #attach_use_animation, #attachments_access_admin, #upload_max_filesize').hide();
	}
	if(obj.val() == "images")
	{
		$('#images_variations, #resize').show();
	}
	else
	{
		$('#images_variations, #resize').hide();
	}
}