<?php
/**
 * Настройки модуля
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Captcha_admin_config
 */
class Captcha_admin_config extends Frame_admin
{
	/**
	 * @var array поля в базе данных для редактирования
	 */
	public $variables = array (
		'config' => array (
			'type' => array(
				'type' => 'select',
				'name' => 'Тип',
				'help' => 'Выбор метода фильтрации спам-ботов.',
			),
			'recaptcha_public_key' => array(
				'type' => 'text',
				'name' => 'Public Key длс сервиса <a href="http://www.google.com/recaptcha">reCAPTCHA</a>',
				'help' => 'Параметр выводится, если в поле «Тип» выбрано «reCAPTCHA».',
			),
			'recaptcha_private_key' => array(
				'type' => 'text',
				'name' => 'Private Key длс сервиса <a href="http://www.google.com/recaptcha">reCAPTCHA</a>',
				'help' => 'Параметр выводится, если в поле «Тип» выбрано «reCAPTCHA».',
			),
		),
	);

	/**
	 * @var array настройки модуля
	 */
	public $config = array (
		'config', // файл настроек модуля
	);

	/**
	 * @var array значения списков
	 */
	public $select_arr = array(
		'type' => array(
			'captcha' => 'Код на картинке',
			'reCAPTCHA' => 'reCAPTCHA',
			'qa' => 'Вопрос-Ответ',
		),
	);

	/**
	 * Выводит список вопросов
	 * @return void
	 */
	public function edit()
	{
		echo '<script type="text/javascript" src="'.BASE_PATH.'modules/captcha/admin/captcha.admin.config.js"></script>';
		parent::edit();
	}
}