/**
 * JS-сценарий модуля «Корзина товаров, оформление заказа»
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */
$(document).ready(function(){
    //$('.cart_table_form input[type=submit]').hide();
    //$(document).on('change', '.cart_table_form input[type=text]', cart_submit);
    //$(document).on('click', '.cart_table_form input[type=checkbox], .cart_table_form input[type=radio]', cart_submit);
    //$(document).on('change', '.cart_table_form input[type=checkbox], .cart_table_form input[type=radio]', cart_submit);
    $(document).on('submit', '.cart_table_form', function(){cart_submit();return false});
    $(document).on('click', '.cart_remove span', function(){
	$(this).find('input').prop('checked', true);
	cart_submit();
    });
    $(document).on('click', '.cart_count_minus', function(){
	var count = $(this).parents('.cart_count').find('input');
	if(count.val() > 1)
	{
	    count.val(count.val() * 1 - 1);
	}
	cart_submit();
    });
    $(document).on('click', '.cart_count_plus', function(){
	var count = $(this).parents('.cart_count').find('input');
	count.val(count.val() * 1 + 1);
	cart_submit();
    });
});

function cart_submit()
{
    var form = '.cart_table_form';
    $(form).find("input[name='ajax']").val('1');
    $(form).ajaxSubmit({
        dataType: 'json',

        success: function(response, statusText, xhr, form)
        {
            if (response.empty)
            {
                $(".cart_order").hide();
            }
            else
            {
				$(".cart_order").show();
			}
            if (response.error)
            {
                $(form).find(".error_table").text(response.error).show();
            }
            if (response.table)
            {
                $(form).find(".cart_table").html(prepare(response.table));
            }
			if (response.data && response.target)
			{
				$(response.target).html(prepare(response.data));
			}
			if (response.redirect)
			{
				window.location = response.redirect;
			}
            return true;
        }
    });
}