<?php
/**
 * Установка модуля
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

$title = "On-line консультант";

$db = array(
	"modules" => array(
		array(
			"name" => "consultant",
			"module_name" => "consultant",
			"admin" => true,
			"site" => true,
			"title" => $title,
		),
	),

	"adminsites" => array(
		array(
			"name" => "On-line консультант",
			"rewrite" => "consultant",
			"group_id" => "2",
			"sort" => 106,
			"act" => true,
			"children" => array(
				array(
					"name" => "LiveTex",
					"rewrite" => "consultant",
					"sort" => 3,
					"act" => true,
				),
				array(
					"name" => "JivoSite",
					"rewrite" => "consultant/jivosite",
					"sort" => 2,
					"act" => true,
				),
				array(
					"name" => "RedHelper",
					"rewrite" => "consultant/redhelper",
					"sort" => 1,
					"act" => true,
				),
			),
		),
	),
	"config" => array(
		array(
			"name" => "redhelper_color",
			"value" => "#aacc66",
		),
		array(
			"name" => "redhelper_chatX",
			"value" => "30",
		),
		array(
			"name" => "redhelper_chatY",
			"value" => "50",
		),
		array(
			"name" => "redhelper_header",
			"value" => "Наша компания",
		),
		array(
			"name" => "redhelper_topText",
			"value" => "Лучшие товары",
		),
		array(
			"name" => "redhelper_welcome",
			"value" => "Вам чем-нибудь помочь?",
		),
		array(
			"name" => "redhelper_inviteTime",
			"value" => "20",
		),
		array(
			"name" => "redhelper_chatWidth",
			"value" => "200",
		),
		array(
			"name" => "redhelper_chatHeight",
			"value" => "300",
		),
	),
);