<?php
/**
 * Контроллер
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Languages
 */
class Languages extends Controller
{
	/**
	 * Шаблонная функция: выводит ссылки на альтернативные языковые версии сайта.
	 * 
	 * @param array $attributes атрибуты шаблонного тега
	 * template - шаблон тега (файл modules/languages/views/languages.view.show_block_**template**.php; по умолчанию шаблон modules/languages/views/languages.view.show_block.php)
	 * 
	 * @return void
	 */
	public function show_block($attributes)
	{
		$attributes = $this->get_attributes($attributes, 'template');

		$result = $this->model->show_block();
		if (! $attributes["template"] || ! $this->diafan->_tpl->get('show_block_'.$attributes["template"], 'languages', $result))
		{
			$this->diafan->_tpl->get('show_block', 'languages', $result);
		}
	}
}