<?php
/**
 * Шаблон постраничной навигации для административной части
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

$text = '';
if ($result)
{
	echo '<div class="paginator">';
	foreach ($result as $l)
	{
		switch($l["type"])
		{
			case "first":
				$text .= '<a href="'.BASE_PATH_HREF.$l["link"].'">&#171;</a> ';
				break;

			case "current":
				$text .= '<span>['.$l["name"].']</span> ';
				break;

			case "previous":
				$text .= '<a href="'.BASE_PATH_HREF.$l["link"].'" title="'.$this->diafan->_('На предыдущую страницу').'">...</a> ';
				break;

			case "next":
				$text .= '<a href="'.BASE_PATH_HREF.$l["link"].'" title="'.$this->diafan->_('На следующую страницу').$this->diafan->_('Всего %d', false, $l["nen"]).'">...</a> ';
				break;

			case "last":
			$text .= '<a href="'.BASE_PATH_HREF.$l["link"].'">&#187;</a> ';
			break;

			default:
				$text .= '<a href="'.BASE_PATH_HREF.$l["link"].'" class="border">'.$l["name"].'</a> ';
				break;
		}
	}
	$text .= '</div>';
}
return $text;