<?php
/**
 * Контроллер модуля «Восстановление пароля»
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Reminding
 */
class Reminding extends Controller
{
	/**
	 * Инициализация модуля
	 * 
	 * @return void
	 */
	public function init()
	{
		if(! empty($_GET["action"]))
		{
			switch($_GET["action"])
			{
				case "change_password":
					$this->result = $this->model->form_change_password();
					break;
				case "success":
					$this->result = $this->model->success();
					break;
				default:
					include ABSOLUTE_PATH.'includes/404.php';
			}
		}
		else
		{
			$this->result = $this->model->form_mail();
		}
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return void
	 */
	public function show_module()
	{
		if(! empty($_GET["action"]))
		{
			switch($_GET["action"])
			{
				case "change_password":
					$this->diafan->_tpl->get('form_change_password', 'reminding', $this->result);
					break;

				case "success":
					$this->diafan->_tpl->get('success', 'reminding', $this->result);
					break;
			}
		}
		else
		{
			$this->diafan->_tpl->get('form_mail', 'reminding', $this->result);
		}
	}
}