<?php
/**
 * Контроллер
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Subscribtion
 */
class Subscribtion extends Controller
{
	/**
	 * Инициализация модуля
	 * 
	 * @return void
	 */
	public function init()
	{
		if(empty($_GET["action"]))
		{
			$_GET["action"] = '';
		}
		if(empty($_GET["mail"]))
		{
			$_GET["action"] = 'form';
		}
		switch($_GET["action"])
		{
			case "form":
				$this->result = $this->model->form();
				break;
			case "del":
				$this->result = $this->model->del();
				break;
			default:
				$this->result = $this->model->edit();
		}		
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return void
	 */
	public function show_module()
	{
		switch($this->result["action"])
		{
			case "form":
				$this->diafan->_tpl->get('form', 'subscribtion', $this->result);
				break;
			case "error":
				$this->diafan->_tpl->get('error', 'subscribtion', $this->result);
				break;
			case "edit":
				$this->diafan->_tpl->get('edit', 'subscribtion', $this->result);
				break;
		}
	}

	/**
	 * Шаблонная функция: выводит форму подписки на рассылки.
	 * 
	 * @param array $attributes атрибуты шаблонного тега
	 * template - шаблон тега (файл modules/subscribtion/views/subscribtion.view.form_**template**.php; по умолчанию шаблон modules/subscribtion/views/subscribtion.view.form.php)
	 * 
	 * @return void
	 */
	public function show_form($attributes)
	{
		$attributes = $this->get_attributes($attributes, 'template');		

		$result = $this->model->form();
		
		if (! $attributes["template"] || ! $this->diafan->_tpl->get('form_'.$attributes["template"], 'subscribtion', $result))
		{
			$this->diafan->_tpl->get('form', 'subscribtion', $result);
		}
	}
}