/**
 * Редактирование тегов, JS-сценарий
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */
$(document).ready(function(){
	$(document).on('click', "#tags_mulitupload", function() {
		if($(".tags_mulitupload").css('display') == 'none')
		{
			$(".tags_mulitupload").show();
		}
		else
		{
			$(".tags_mulitupload").hide();
		}
		return false;
	});

	$('.tags_mulitupload form').submit(function () {
		$('.tags_mulitupload .error').hide();
		$(this).ajaxSubmit({
			url: window.location.href,
			type: 'POST',
			dataType:'json',
			success:(function (response, statusText, xhr, form) {
				if (response.hash) {
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
				if(response.error){
					$('.tags_mulitupload .error').show().html(prepare(response.error));
				}
				if (response.redirect) {
					window.location = response.redirect;
				}
			})
		});
		return false;
	});
});