<?php
/**
 * Подгрузка панели быстрого редактирования
 *
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

class Useradmin_ajax extends Ajax
{
	public function ajax_request()
	{
		$link_current_edit = BASE_PATH.ADMIN_FOLDER.'/';
		if($this->diafan->module && ($this->diafan->cat || $this->diafan->show))
		{
			$link_current_edit .= $this->diafan->module.'/';
			if($this->diafan->show)
			{
				$link_current_edit .= 'edit'.$this->diafan->show.'/';
			}
			else
			{
				$link_current_edit .= 'category/edit'.$this->diafan->cat.'/';
			}
		}
		else
		{
			$link_current_edit .= 'site/edit'.$this->diafan->cid.'/';
		}
		header('Content-Type: text/html; charset=utf-8');
		echo '<div class="useradmin_panel">
		<table width="100%">
			<tr>
				<td class="head_td head_1">
					<div class="logo_diafan">'.$this->diafan->_('Система управления сайтом', false).'
						<div class="logo_url"><a href="http://'.BASE_URL.'/">'.BASE_URL.'</a></div>
					</div>
				</td>
				<td class="head_td head_2">
					<a href="'.BASE_PATH.ADMIN_FOLDER.'/" class="go_site">'.$this->diafan->_('Администрирование', false).'</a> <a href="'.BASE_PATH.ADMIN_FOLDER.'/" class="go_site"><img src="'.BASE_PATH.'adm/img/admin_top_icon2.png" alt=""></a> Сайт <span class="go_edit">(<span>'.$this->diafan->_('режим редактирования', false).'</span>) <span class="help_img"><a href="http://cms.diafan.ru/dokument/full-manual/upmodules/useradmin/#howto" target="_blank"><img src="'.BASE_PATH.'adm/img/quest.gif" alt="Нажмите на этот вопросик, чтобы узнать, как пользоваться панелью быстрого редактирования" title="Нажмите на этот вопросик, чтобы узнать, как пользоваться панелью быстрого редактирования"></a></span></span>
				</td>
				<td class="go_useradmin_docs">
					<a href="'.$link_current_edit.'" title="'.$this->diafan->_('Редактировать текущую страницу в административной части', false).'"><img src="'.BASE_PATH.'adm/img/edit.gif"></a></td>';
				$this->show_languages();
				echo '
				<td class="head_td head_4">
					<div class="user_info"><span class="user_name"><a href="'.BASE_PATH.ADMIN_FOLDER.'/users/edit'.$this->diafan->_user->id.'/">'.$this->diafan->_user->fio.'</a></span><span class="exit"><a href="' . BASE_PATH_HREF . 'logout/">'.$this->diafan->_('Выйти', false).'</a></span></div>
				</td>
			</tr>
		</table>
		<div class="useradmin_meta"></div>
		</div>';
		exit;
	}

	/**
	 * Выводит ссылки на альтернативные языковые версии сайта
	 *
	 * @return boolean
	 */
	private function show_languages()
	{
		if (count($this->diafan->languages) < 2)
		{
			return;
		}

		echo '<td class="head_td head_3">';

		foreach ($this->diafan->languages as $language)
		{
			if ($language["id"] != _LANG)
			{

				echo '<a href="' . BASE_PATH  . ( ! $language["base_site"] ? $language["shortname"] . '/' : '' ) . $this->diafan->_route->current_link() . '" class="lang">' . $language["name"] . '</a>';
			}
			else
			{
				echo '<span class="lang_act">' . $language["name"] . '</span>';
			}
		}

		echo '</td>';
		return true;
	}
}