<?php
/**
 * Шаблон заказов пользователя
 * 
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.3
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2013 OOO «Диафан» (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

if (empty($result['orders']))
	return true;

$color = array(
	0 => "red",
	1 => "blue",
	2 => "gray",
	3 => "darkgreen",
	4 => "darkgreen"
);

echo '<div class="block_header">'.$this->diafan->_('Ваши заказы').'</div>';
echo '<table border="0" style="width:100%">
<tr>
<th><b>№</b></td>
<th><b>'.$this->diafan->_('Дата').'</b></td>
<th><b>'.$this->diafan->_('Товары').'</b></td>
<th><b>'.$this->diafan->_('Стоимость').'</b></td>
<th><b>'.$this->diafan->_('Статус').'</b></td>
<th><b>'.$this->diafan->_('Сумма').'</b></td>
</tr>';

foreach ($result['orders']['rows'] as $order)
{
	echo '<tr>';
	echo '<td>'.$order['id'].'</td>';
	echo '<td>'.$order['created'].'</td>';
	echo '<td><div class="order_goods">';

	if (!empty($order['goods']))
	{
		foreach ($order['goods'] as $good)
		{
			echo '<a href="'.BASE_PATH_HREF.$good["link"].'">'.$good["name"];
			if(! empty($good["params"]))
			{
				foreach($good["params"] as $p)
				{
					echo  ' '.$p["name"].': '.$p["value"];
				}
			}
			echo '</a><br>';
		}
	}

	echo '</div></td>';
	echo '<td>';

	if (!empty($order['goods']))
	{
		foreach ($order['goods'] as $good)
		{
			echo $good["price"].' '.$result['orders']["currency"].'<br>';
		}
	}

	echo '</td>';

	echo '<td>';
	echo '<span style="color:'.$color[$order["status"]].';font-weight: bold;">';
	echo $order['status_name'];
	echo '</span>';
	echo '</td>';
	echo '<td>'.$order['summ'].' '.$result['orders']["currency"].'</td>';
	echo '</tr>';
}

echo '
<tr>
	<td colspan=4 align=right>'.$this->diafan->_('Итого выполненных заказов сумму').': </td>
	<td><b>'.$result['orders']['total'].' '.$result['orders']["currency"].'</b></td>
</tr>';
echo '</table>';